Subject: bug#51819: The Senselessness of Emacs Company Mode

From: Carlos Pita <[email-masked]>
Date: Wed, 17 Nov 2021 00:40:42 -0300

> No, it's as old as time, see:
>
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Dynamic-Abbrevs.html
>
> But you will have to press Meta-/ so maybe it's not what you're looking for.

Or use company-dabbrev which comes with company (maybe it's even
installed by default when you enable company, I don't remember). Or
corfu with https://github.com/minad/corfu/issues/9#issuecomment-945090516,
as explained above. Both of them support on-the-fly / as-you-type /
whatever completions. That said, my main use case for emacs is also
working with text (I mean, natural language) and I find it extremely
annoying that a popup opens with every word I start typing, have you
actually tried that and liked it? There's no lack of requests for such
a behavior to be turned off by default, e.g.
https://github.com/syl20bnr/spacemacs/issues/11743.